Skip to main content
POST
JavaScript

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

account_sid
string
required

The UUID of the Telnyx account that owns the resource, for example f5586561-8ff0-4291-a51b-c7dfe4139ff9. The account_sid path segment is kept for Twilio API compatibility, but the value is a Telnyx account UUID, not a Twilio AC... SID. It must match the account that owns the API key used to authenticate the request, otherwise the endpoint returns 404. The same value is sent as AccountSid in TeXML webhooks.

Example:

"f5586561-8ff0-4291-a51b-c7dfe4139ff9"

call_sid
string
required

The CallSid that identifies the call to update.

Body

application/x-www-form-urlencoded

Starts a SIPREC session.

ConnectorName
string

The name of the connector to use for the SIPREC session.

Example:

"my_connector"

Name
string

Name of the SIPREC session. May be used to stop the SIPREC session from TeXML instruction.

Example:

"my_siprec_session"

Track
enum<string>

The track to be used for siprec session. Can be both_tracks, inbound_track or outbound_track. Defaults to both_tracks.

Available options:
both_tracks,
inbound_track,
outbound_track
Example:

"both_tracks"

IncludeMetadataCustomHeaders
enum<boolean>

When set, custom parameters will be added as metadata (recording.session.ExtensionParameters). Otherwise, they’ll be added to sip headers.

Available options:
true,
false
Example:

true

Secure
enum<boolean>

Controls whether to encrypt media sent to your SRS using SRTP and TLS. When set you need to configure SRS port in your connector to 5061.

Available options:
true,
false
Example:

true

SessionTimeoutSecs
integer
default:1800

Sets Session-Expires header to the INVITE. A reinvite is sent every half the value set. Usefull for session keep alive. Minimum value is 90, set to 0 to disable.

Example:

900

SipTransport
enum<string>
default:udp

Specifies SIP transport protocol.

Available options:
udp,
tcp,
tls
Example:

"tcp"

StatusCallback
string

URL destination for Telnyx to send status callback events to for the siprec session.

Example:

"https://www.example.com/callback"

StatusCallbackMethod
enum<string>

HTTP request type used for StatusCallback.

Available options:
GET,
POST
Example:

"GET"

Response

Successful SIPREC session create response

account_sid
string

The id of the account the resource belongs to.

Example:

"61bf923e-5e4d-4595-a110-56190ea18a1b"

call_sid
string

The id of the call the resource belongs to.

Example:

"v3:9X2vxPDFY2RHSJ1EdMS0RHRksMTg7ldNxdjWbVr9zBjbGjGsSe-aiQ"

sid
string

The SID of the siprec session.

Example:

"61bf923e-5e4d-4595-a110-56190ea18123"

date_created
string

The date and time the siprec session was created.

Example:

"Fri, 11 Aug 2023 19:12:11 +0000"

date_updated
string

The date and time the siprec session was last updated.

Example:

"Fri, 11 Aug 2023 19:12:11 +0000"

start_time
string

The date and time the siprec session was started.

Example:

"Fri, 11 Aug 2023 19:12:11 +0000"

status
enum<string>

The status of the siprec session.

Available options:
in-progress,
stopped
Example:

"in-progress"

track
enum<string>

The track used for the siprec session.

Available options:
both_tracks,
inbound_track,
outbound_track
Example:

"both_tracks"

uri
string

The URI of the siprec session.

Example:

"https://api.telnyx.com/v2/texml/Accounts/61bf923e-5e4d-4595-a110-56190ea18123/Calls/v3:9X2vxPDFY2RHSJ1EdMS0RHRksMTg7ldNxdjWbVr9zBjbGjGsSe-ai/Siprec/61bf923e-5e4d-4595-a110-56190ea18123"

error_code
string

The error code of the siprec session.